<app-header title="Trouver un praticien" [displayUserInfos]="true"></app-header>
<ion-content class="doctor">
    <!-- Doctor photo -->
    <ion-row
        class="ion-justify-content-center ion-align-items-center mt-4 mb-4"
    >
        <ion-col size="auto">
            <ion-avatar
                class="ion-justify-content-center mx-0 ion-align-items-center height-66 width-66"
            >
                <app-img
                    [src]="doctor.photo"
                    [alt]="doctor.name"
                    [title]="doctor.name"
                    [errorSrc]="environment.user.avatar"
                ></app-img>
            </ion-avatar>
        </ion-col>
    </ion-row>
    <!-- Doctor name & domain -->
    <div class="ion-text-center ion-no-padding">
        <ion-text class="weight-600 size-18" color="dove-light">
            Dr {{doctor.name}} {{doctor.firstname}}
        </ion-text>
        <ion-text class="size-14 weight-300" color="dove-light">
            {{doctor.domain.name}}
        </ion-text>
    </div>
    <!-- Doctor location -->
    <div
        class="doctor__location ion-align-items-center ion-justify-content-center size-12 mt-4 mb-63"
    >
        <ion-icon name="location" class="size-15 mr-5"></ion-icon>
        <ion-text class="is-dove-light weight-300">
            {{ doctor.city.name }}, {{ doctor.city.country.name }}
        </ion-text>
    </div>
    <!-- Appointment with doctor -->
    <ion-row
        *ngIf="appointment"
        data-testid="appointment-notification"
        class="has-background-pink pl-11 pt-9 pb-10 ion-margin-horizontal ion-align-items-center ion-no-margin"
    >
        <ion-col
            size="auto"
            class="doctor__icon ion-justify-content-center ion-no-padding ion-align-items-center mr-14"
        >
            <ion-icon name="warning" color="warning" class="size-35"></ion-icon>
        </ion-col>
        <ion-col class="ion-no-padding doctor__description">
            <ion-text message class="size-13" color="dove-light">
                {{appointment}}
            </ion-text>
        </ion-col>
    </ion-row>

    <div class="mx-20 mt-14">
        <!-- Agenda -->
        <app-card>
            <div content class="px-2">
                <ion-row class="mb-5 ion-align-items-center pt-13">
                    <!-- Left Content -->
                    <ion-col
                        class="mr-9 width-60 has doctor__icon pl-7"
                        size="auto"
                    >
                        <ion-icon
                            name="calendar-number"
                            color="primary"
                            class="size-40"
                        ></ion-icon>
                    </ion-col>
                    <!-- Content -->
                    <ion-col class="pl-0 pr-25">
                        <!-- Title -->
                        <ion-text
                            class="size-16 weight-700 text-secondary"
                            color="black-light"
                        >
                            Agenda </ion-text
                        ><br />
                        <!-- Description -->
                        <ion-text
                            class="doctor__description size-13 weight-400"
                            color="black-light"
                        >
                            Disponible pour une consultation en ligne le {{
                            doctor.nextCalendar.availableDate | date :
                            'fullDate' }}
                        </ion-text>
                    </ion-col>
                    <!-- Right Content -->
                    <ion-col class="ion-no-padding" size="auto">
                        <ion-icon
                            data-testid="seemore"
                            (click)="toggleSchedule()"
                            (keyPress)="toggleSchedule()"
                            [name]="showSchedule ? 'chevron-down' : 'chevron-forward'"
                            color="dark-thin"
                            class="size-40"
                        ></ion-icon>
                    </ion-col>
                </ion-row>
                <app-doctor-schedule
                    data-testid="doctor-schedule"
                    *ngIf="showSchedule"
                    [doctorId]="doctor.id"
                ></app-doctor-schedule>
            </div>
        </app-card>
        <!-- Cash -->
        <app-card class="doctor__cash my-10">
            <ion-icon
                left-content
                name="cash"
                color="primary"
                class="size-30 ml-11"
            ></ion-icon>
            <div content class="ion-padding">
                <!-- Title -->
                <ion-text
                    class="size-16 weight-700 text-secondary"
                    color="black-light"
                >
                    Tarifs </ion-text
                ><br />
                <!-- Description -->
                <ion-text
                    class="doctor__description size-13 weight-400"
                    color="black-light"
                >
                    Actes et soins estimés à
                    <!-- Price -->
                    <span class="size-14 weight-700"
                        >{{doctor.consultationPrice}} XOF</span
                    >
                </ion-text>
            </div>
        </app-card>
        <!-- Payment -->
        <app-card>
            <ion-icon
                left-content
                name="card"
                color="primary"
                class="size-38 ml-11"
            ></ion-icon>
            <div content class="ion-padding">
                <!-- Title -->
                <ion-text
                    class="size-16 weight-700 text-secondary"
                    color="black-light"
                >
                    Paiement </ion-text
                ><br />
                <!-- Description -->
                <ion-text
                    class="doctor__description size-13 weight-400"
                    color="black-light"
                >
                    Mobile money, dépôt bancaire
                </ion-text>
            </div>
        </app-card>
    </div>
    <!-- Information -->
    <div class="mx-31 mt-30">
        <ion-text class="size-20 text-secondary weight-700" color="black-light">
            Information
        </ion-text>
        <br />
        <ion-text
            class="doctor__description size-13 weight-400"
            color="black-light"
        >
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolorum
            dolore enim recusandae quisquam saepe assumenda quia rem eligendi
            iste. Sequi modi est nesciunt similique, dolorum doloremque odit
            dolorem amet esse.
        </ion-text>
    </div>
</ion-content>
<ion-footer color="light" class="ion-no-border py-20">
    <ion-row class="ion-justify-content-center ion-text-center weight-400">
        <ion-col size="10">
            <app-button
                title="Prendre rendez-vous en ligne"
                size="large"
                expand="full"
                shape="round"
                class="is-white doctor__cta radius-5 pb-7 pt-5 px-2 has-background-primary size-13"
                routerLink="/taking"
                [queryParams]="{ doctorId: doctor.id}"
            >
            </app-button>
        </ion-col>
    </ion-row>
</ion-footer>
